Cygwin support completely dropped?

Hi there

it seems that it has been sometime that anyone had success with building llvm
(2.0 or 2.1 prerelease) on Cygwin/XP. i have been using gcc-4.0.2 with no
success.

is anyone working on Cygwin or not? i feel that having Cygwin as a supported
platform is at least misleading since noone is building on Cygwin.

I recall llvm-1.4 to 1.6 building decently on Cygwin even with gcc-3.3.3.

Kind regards
Nikolaos Kavvadias

it seems that it has been sometime that anyone had success with building llvm
(2.0 or 2.1 prerelease) on Cygwin/XP. i have been using gcc-4.0.2 with no
success.

is anyone working on Cygwin or not? i feel that having Cygwin as a supported
platform is at least misleading since noone is building on Cygwin.

I recall llvm-1.4 to 1.6 building decently on Cygwin even with gcc-3.3.3.

I believe Aaron Gray has had success building llvm on Cygwin:
http://www.aarongray.org/LLVM/BuildingLLVMonCygwin.html

However, those instructions may be a bit out of date...

If you are still encountering problems, please file bugs or submit patches. The majority of LLVM developers do not use Cygwin, so its quite possible there are problems.

-Tanya

it seems that it has been sometime that anyone had success with building llvm
(2.0 or 2.1 prerelease) on Cygwin/XP. i have been using gcc-4.0.2 with no
success.

is anyone working on Cygwin or not? i feel that having Cygwin as a supported
platform is at least misleading since noone is building on Cygwin.

I recall llvm-1.4 to 1.6 building decently on Cygwin even with gcc-3.3.3.

I believe Aaron Gray has had success building llvm on Cygwin:
http://www.aarongray.org/LLVM/BuildingLLVMonCygwin.html

However, those instructions may be a bit out of date...

If you are still encountering problems, please file bugs or submit
patches. The majority of LLVM developers do not use Cygwin, so its quite
possible there are problems.

I have been unable to build either llvm-gcc-4 or llvm-gcc-4.2 on the LLVM 2.1 prerelease 1. Sorry I dont have the time or inclination to solve either of these at the moment.

There are previous posts by me on this list regarding the errors.

I do intend to solve llvm-gcc-4.2 on Cygwin at some point in the future for GCC++ LLVM support however I cannot do this for the LLVM 2.1 release :frowning:

Aaron